<html devsite><head>
    <title>电源管理</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>电池续航时间是用户长期以来一直关注的问题。为了延长电池续航时间，Android 不断添加新功能，以帮助平台优化应用和设备在非充电状态下的行为。</p>
<p>Android 提供以下电池续航时间增强功能：</p>

<ul>
  <li>
    <a href="/devices/tech/power/app_mgmt#app-restrictions">应用限制</a>。平台可以提示哪些应用会对电池续航时间产生不利影响，以便用户可以对这些应用施加限制，防止它们消耗资源。默认情况下，应用不会在后台受到限制。
  </li>
  <li><a href="/devices/tech/power/app_mgmt#app-standby">应用待机模式</a>。平台会使未使用的应用进入应用待机模式，从而暂时限制此类应用访问网络，并延迟其同步和作业。
  </li>
  <li>
    <a href="/devices/tech/power/platform_mgmt#doze">低电耗模式</a>。如果用户长时间没有主动使用其设备（处于静止状态且屏幕已关闭），则平台会使设备进入深度休眠状态（定期恢复正常操作）。此外，当用户关闭设备屏幕但仍处于移动状态时，Android 7.0 及更高版本还会启用低电耗模式，以触发一系列轻度优化。
  </li>
  <li>
    <a href="#exempt-apps">豁免</a>。默认情况下，预加载的系统应用和云消息传递服务通常能够获得豁免，不会进入应用待机模式和低电耗模式。应用开发者可以使用 Intent 将这些设置应用于其应用。用户可以在“设置”菜单中豁免无需进入应用待机和低电耗节电模式的应用。
  </li>
</ul>

<h2 id="exempt-apps">豁免应用</h2>
<p>您可以豁免应用，使其不受低电耗模式和应用待机模式的影响。豁免功能可能适用于下列情况：</p>
<ul>
<li>使用除 <a href="https://firebase.google.com/docs/cloud-messaging/" class="external">Firebase 云消息传递</a> (FCM) 以外的云消息传递平台的设备制造商。</li>
<li>使用非 FCM 云消息传递平台的运营商</li>
<li>使用非 FCM 云消息传递平台的第三方应用</li>
</ul>

<p class="warning"><strong>警告</strong>：请勿为了规避测试和优化而豁免应用。不必要的豁免会削弱低电耗模式和应用待机模式的优势，且有损于用户体验，因此我们强烈建议尽可能不要进行此类豁免（因为这样做会让应用破坏平台对耗电量的有益控制）。如果用户开始对这些应用的耗电量感到不满，则会导致令人失望的糟糕体验（和针对该应用的负面评价）并引发客户支持问题。出于这些原因，我们强烈建议您不要豁免第三方应用，而仅豁免云消息传递服务或功能相似的应用。</p>

<p>默认情况下，豁免的应用会在“设置”&gt;“应用和通知”&gt;“特殊应用权限”&gt;“电池优化”中列出。<em></em>该列表用于豁免应用，使其不会进入低电耗模式和应用待机模式。为使用户清楚知道哪些应用已被豁免，“设置”菜单<strong>必须</strong>显示所有豁免的应用。</p>

<p>用户可以依次转到“设置”&gt;“应用和通知”&gt;“应用名称”&gt;“电池”&gt;“电池优化”，然后选择要关闭（或重新开启）优化的应用，以此来手动豁免应用。<em></em><var></var>不过，用户无法取消豁免系统映像中默认豁免的任何应用或服务。</p>

</body></html>